%define name	calculate
%define version	1.00
%define release	7mdk
%define	binname	calc

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-gcc3-fix.patch.bz2
URL:		http://home.planetinternet.be/~esmee/calc01.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	A simple command line calculator for the console.

%description
A very simple console command line calculater.

%prep
%setup -q
%patch0 -p0

%build
%{__cxx} $RPM_OPT_FLAGS -o %{binname} %{name}.cpp

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{binname} -D $RPM_BUILD_ROOT%{_bindir}/%{binname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{binname}

%changelog
* Fri Jun 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.00-7mdk
- rebuild

* Sat Jan 10 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-6mdk
- rebuild

* Thu Feb 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.00-5mdk
- Back in contribs!:)
- Updated for gcc 3 (Patch0)
- Cleanups
- Added my own little README(mainly to satisfy rpmlint)

* Thu Jan 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.00-4mdk
- rebuild

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.00-3mdk
- rebuilt

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-2mdk
- use new macros
- handle mdk optimization

* Tue Jun 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.00-1mdk
- Packaged for Mandrake
- Created Spec file
